﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;
using System.IO;
public class BuildAssetBundle : EditorWindow
{
    private static EditorWindow _window;
    private Vector2 _scrollPos;
    [MenuItem("AssetsBundle/Open AssetBundles")]
    static void OpenBuildWidnow()//进行打包
    {
        AssetBundleManager.LoadConfig();
        _window = GetWindow(typeof(BuildAssetBundle));
    }

    private void OnGUI()
    {
        _scrollPos = GUILayout.BeginScrollView(_scrollPos);
        GUILayout.BeginHorizontal();
        if(GUILayout.Button("添加Item"))
        {
            AssetBundleManager.AddItem("");
        }
        if (GUILayout.Button("保存当前配置"))
        {
            AssetBundleManager.SaveConfig();
        }
        if(GUILayout.Button("生成资源映射表"))
        {
            AssetBundleManager.GenResourceMap("AssetBundles");
        }
        if(GUILayout.Button("生成AssetBundle"))
        {
            AssetBundleManager.GenAssetBundle("AssetBundles");
        }
        GUILayout.EndHorizontal();
        AssetBundleManager.Draw();
        GUILayout.EndScrollView();
    }

}
